MKSWAP(8)

NUME
mkswap - configurează un spațiu de interschimb (swap) Linux

REZUMAT

mkswap [opțiuni] dispozitiv [blocuri]

mkswap [opțiuni] --size dimensiune --file fișier

DESCRIERE

mkswap creează un spațiu de interschimb (swap) Linux pe un dispozitiv sau într-un fișier.

Argumentul dispozitiv va fi de obicei o partiție de disc (ceva precum /dev/sdb7), dar poate fi și un fișier. Nucleul Linux nu se uită la ID-urile partițiilor, dar multe scripturi de instalare vor presupune că partițiile de tip hexazecimal 82 (LINUX_SWAP) sunt destinate să fie partiții de spațiu de interschimb (swap). Atenție: Solaris utilizează, de asemenea, acest tip. Aveți grijă să nu vă omorâți partițiile Solaris.

Parametrul blocuri este superfluu, dar este păstrat pentru compatibilitatea retroactivă (acesta specifică dimensiunea dorită a spațiului de interschimb în blocuri de 1024 de octeți. mkswap va utiliza întreaga partiție sau fișier dacă este omis; specificarea lui nu este înțeleaptă - o greșeală de scriere poate distruge discul).

După crearea spațiului de interschimb, aveți nevoie de comanda swapon(8) pentru a începe să îl utilizați. De obicei, spațiile de interschimb sunt listate în /etc/fstab, astfel încât să poată fi utilizate la pornire prin comanda swapon -a din cadrul unui script de pornire.

AVERTISMENT

Antetul spațiului de interschimb nu modifică primul bloc. Un încărcător de pornire sau o etichetă de disc poate fi acolo, dar nu este o configurație recomandată. Configurația recomandată este de a utiliza o partiție separată pentru zona de swap Linux.

mkswap, la fel ca multe alte utilități de tip mkfs, șterge primul bloc de partiție pentru a face invizibil orice sistem de fișiere anterior.

Cu toate acestea, mkswap refuză să șteargă primul bloc pe un dispozitiv cu o etichetă de disc (SUN, BSD, ...).

OPȚIUNI

-c, --check
    Verifică dispozitivul (dacă este un dispozitiv de bloc) pentru blocuri defecte înainte de a crea spațiul de interschimb. Dacă sunt găsite blocuri defecte, se afișează numărul acestora.

-F, --file
    Creează un fișier de spațiu de interschimb (swap) cu permisiuni corespunzătoare și blocuri populate pe disc.

-f, --force
    Merge mai departe, chiar dacă comanda este stupidă. Aceasta permite crearea unui spațiu de interschimb mai mare decât fișierul sau partiția pe care se află.

    De asemenea, fără această opțiune, mkswap va refuza să șteargă primul bloc pe un dispozitiv cu un tabel de partiții.

-q, --quiet
    Suprimă ieșirea informativă și mesajele de avertizare.

-L, --label eticheta
    Specifică o etichetă pentru dispozitiv, pentru a se putea efectua swapon(8) după etichetă.

--lock[=mod]
    Utilizează o blocare BSD exclusivă pentru dispozitivul sau fișierul pe care îl operează. Argumentul opțional mod poate fi yes, no (sau 1 și 0) sau nonblock. Dacă argumentul mod este omis, valoarea implicită este yes. Această opțiune suprascrie variabila de mediu $LOCK_BLOCK_DEVICE. Valoarea implicită este de a nu utiliza nicio blocare, dar este recomandată pentru a evita coliziunile cu systemd-udevd(8) sau cu alte instrumente.

-p, --pagesize dimensiunea
    Specifică dimensiunea paginii (în octeți) care trebuie utilizată. De obicei, această opțiune nu este necesară; mkswap citește dimensiunea de la nucleu.

-U, --uuid UUID
    Specifică UUID care urmează să fie utilizat. În mod implicit, se generează un UUID. Formatul UUID este o serie de cifre hexazecimale separate prin cratimă, astfel: "c1b9d5a2-f162-11cf-9ece-0020afc76f16". Parametrul UUID poate fi, de asemenea, unul dintre următoarele:

    clear
        șterge UUID-ul sistemului de fișiere

    random
        generează un nou UUID generat în mod aleatoriu

    time
        generează un nou UUID bazat pe timp

-e, --endianness ORDINE-OCTEȚI
    Specifică ORDINE-OCTEȚI de utilizat, argumentele valide sunt native, little sau big. Valoarea implicită este native.

-o, --offset poziția
    Specifică poziția în care se scrie zona de spațiu de interschimb (swap).

-s, --size dimensiunea
    Specifică dimensiunea fișierului de spațiu de interschimb (swap) creat în octeți și poate fi urmată de un sufix multiplicativ: KiB (=1024), MiB (=1024*1024), și așa mai departe pentru GiB, TiB, PiB, EiB, ZiB și YiB („iB” este opțional, de exemplu, „K” are aceeași semnificație ca și „KiB”). În cazul în care fișierul există și este mai mare decât dimensiunea, acesta va fi trunchiat la această dimensiune. Această opțiune are sens numai atunci când este utilizată cu opțiunea --file.

-v, --swapversion 1
    Specifică versiunea spațiului de interschimb. (Această opțiune este în prezent inutilă, deoarece vechea opțiune -v 0 a devenit perimată și acum este acceptată doar -v 1. Nucleul nu mai suportă formatul v0 al spațiului de interschimb începând cu versiunea 2.5.22 (iunie 2002). Noua versiune v1 a formatului este suportată începând cu versiunea 2.1.117 (august 1998).)

--verbose
    Execuție detaliată. Cu această opțiune, mkswap va afișa mai multe detalii despre problemele detectate în timpul configurării spațiului de interschimb.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

MEDIU

LIBBLKID_DEBUG=all
    activează ieșirea de depanare a libblkid.

LOCK_BLOCK_DEVICE=<mod>
    utilizează un blocaj BSD exclusiv. Modul este "1" sau "0". A se vedea --lock pentru mai multe detalii.

NOTE

Dimensiunea maximă utilă a unui spațiu de interschimb depinde de arhitectură și de versiunea nucleului.

Numărul maxim de pagini pe care este posibilă adresarea prin antetul spațiului de interschimb este de 4294967295 (valoarea maximă a unui întreg fără semn pe 32 de biți). Spațiul rămas pe dispozitivul spațiului de interschimb este ignorat.

În prezent, Linux permite 32 de spații de interschimb. Spațiile utilizate pot fi văzute în fișierul /proc/swaps.

mkswap refuză zonele mai mici de 10 pagini.

Dacă nu cunoașteți dimensiunea paginii pe care o folosește mașina dumneavoastră, o puteți afla cu getconf PAGESIZE.

În afară de mkswap --file, este de asemenea posibil să creați manual fișierul de spațiu de interschimb (swap) înainte de a-l inițializa cu mkswap, de exemplu, folosind o comandă precum

Începând cu versiunea 2.41, mkswap --file ajustează atributul nocow pentru fișierele nou create pentru a oferi suport pentru fișierele de spațiu de interschimb (swap) pe Btrfs.

    # dd if=/dev/zero of=swapfile bs=1MiB count=$((8*1024))

pentru a crea un fișier de interschimb de 8Gio.

Într-un astfel de caz, vă rugăm să citiți notele din swapon(8) despre restricțiile de utilizare a fișierului spațiului de interschimb (probleme legate de găuri, prealocare și copiere-la-scriere).

CONSULTAȚI ȘI

fdisk(8), swapon(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda mkswap face parte din pachetul util-linux care poate fi descărcat de la